envMap:
  PHOTOPRISM_ADMIN_USER: "obito1903" # admin login username
  PHOTOPRISM_AUTH_MODE: "password" # authentication mode (public, password)
  PHOTOPRISM_SITE_URL: "https://family-photos.obito.fr/" # server URL in the format "http(s)://domain.name(:port)/(path)"
  PHOTOPRISM_DATABASE_NAME: "photoprism" # MariaDB or MySQL database schema name
  PHOTOPRISM_DATABASE_USER: "photoprism" # MariaDB or MySQL database user name
  PHOTOPRISM_SITE_CAPTION: "Photos de famille" # meta site caption
  PHOTOPRISM_SITE_DESCRIPTION: "" # meta site description
  PHOTOPRISM_SITE_AUTHOR: "Samuel Rodrigues" # meta site author
  PHOTOPRISM_THUMB_UNCACHED: "true"
  PHOTOPRISM_THUMB_SIZE_UNCACHED: "1024"
  ## Video Transcoding (https://docs.photoprism.app/getting-started/advanced/transcoding/):
  NVIDIA_DRIVER_CAPABILITIES: all
  NVIDIA_VISIBLE_DEVICES: all
  PHOTOPRISM_FFMPEG_ENCODER: "nvidia" # H.264/AVC encoder (software, intel, nvidia, apple, raspberry, or vaapi)
  PHOTOPRISM_FFMPEG_SIZE: "7680" # video size limit in pixels (720-7680) (default: 3840)
  PHOTOPRISM_FFMPEG_BITRATE: "1000" # video bitrate limit in Mbit/s (default: 50)
  PHOTOPRISM_INIT: "tensorflow"

controller:
  runtimeClassName: nvidia

ingress:
  main:
    enabled: true
    host: family-photos.obito.fr
    entrypoints:
      - websecure

persistence:
  data:
    size: 100Gi
  extra:
    # - name: import
    #   size: 50Gi
    #   mountPath: /photoprism/import
    #   storageClass: freenas-nfs-csi
    #   accessModes:
    #     - ReadWriteMany
  nfs:
    - name: medias
      server: 192.168.1.11
      path: /mnt/main/medias/family
      mountPath: /photoprism/originals
    - name: import
      server: 192.168.1.11
      path: /mnt/main/medias/Import/Photoprism
      mountPath: /photoprism/import

resources:
  limits:
    nvidia.com/gpu: "1"

mariadb:
  primary:
    persistence:
      size: 2Gi
